const plugin: Deno.lint.Plugin = {
  name: "no-log",
  rules: {
    "no-log": {
      create(context) {
        return {
          // Identifier(node) {
          //   if (node.name === "log") {
          //     context.report({
          //       node,
          //       message: "Do not use log",
          //     });
          //   }
          // },
          'ExpressionStatement > CallExpression[callee.name="log"]'(node) {
            context.report({
              node,
              message: "Clean up log statements",
            });
          },
        };
      },
    },
  },
};
export default plugin;
